
Figure - Bug #117804
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试48小时，出现CRASH: com.android.settings（25）
2023-05-08 13:44 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-08

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)(5.5带开机动画的版本）

Resolution: FIXED Degrated: No

Severity: Critical Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0100.C103(X103)

Reproducibility: Rarely Fixed Version: 2023-05-11

Test Type: Monkey Test Root cause: 特殊场景下的空指针异常。

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 500 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 600000

2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

CRASH: com.android.settings (pid 14138)

// Short Msg: java.lang.NullPointerException

// Long Msg: java.lang.NullPointerException: Attempt to invoke virtual method 'void

androidx.recyclerview.widget.RecyclerView.setAdapter(androidx.recyclerview.widget.RecyclerView$Adapter)' on a null object reference

// Build Label: HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3189:user/test-keys

// Build Changelist: 3189

// Build Time: 1683302163000

// java.lang.NullPointerException: Attempt to invoke virtual method 'void

androidx.recyclerview.widget.RecyclerView.setAdapter(androidx.recyclerview.widget.RecyclerView$Adapter)' on a null object reference

//     at androidx.preference.PreferenceFragmentCompat.bindPreferences(PreferenceFragmentCompat.java:495)

//     at androidx.preference.PreferenceFragmentCompat$1.handleMessage(PreferenceFragmentCompat.java:127)

//     at android.os.Handler.dispatchMessage(Handler.java:106)

//     at android.os.Looper.loopOnce(Looper.java:201)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

Related issues:

Related to Figure - Bug # 118415: 【AF】【EVT3】【Monkey】Monke... CLOSED 2023-06-01

History

#1 - 2023-05-08 14:00 - CD TEST-方永红

【日志】
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117800-808

#2 - 2023-05-10 19:10 - CD FW-廖涛

■ My analysis

该空指针异常是报在 AndroidX 的库中，且跟进日志暂时无法分析出出错场景及对应的页面。需要进一步分析问题产生原因及修复方案。

�

通过以往的 Monkey Test 及自测中，以及从该页面源码分析可知，该问题的出现概率极低。

�

■ Next action

尝试修复方案。

#3 - 2023-05-11 11:28 - IoT scm

Gerrit Merge Information：

�

��ID

��� Project

��� Branch

��� Uploader

��

��199313

��� general/platform/frameworks/base

��� Pre_figure_turbox-c2130c-la1.1-qssi12

-dev��� tao.liao@thundersoft.com

��

��

AF:Settings: Fix monkey test crash.TC-RID: 1201-0201813IssueID: TS-R-BUG-117804Change-Id: I5e50955dec671609db0e8a123e801b6d32e80561

��

�

#4 - 2023-05-11 11:28 - IoT scm

Gerrit Merge Information：

�

��ID

��� Project

��� Branch

��� Uploader

��

��199314

��� general/platform/packages/apps/Settin

gs��� Pre_figure_turbox-c2130c-la1.1-qssi12
-dev��� tao.liao@thundersoft.com

��

��

AF:Settings: Fix monkey test crash.TC-RID: 1201-0201813IssueID: TS-R-BUG-117804Change-Id: I651543e416672b42e55505d5c3c7a071afa32a40

��

�

#5 - 2023-05-11 11:30 - CD FW-廖涛

- Status changed from New to RESOLVED

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-11

- Root cause set to 特殊场景下的空指针异常。

■ Current conclusion

已处理，代码已入库。

�

■ My analysis

已针对空指针做保护。

�

■ Next action

测试验证。

#6 - 2023-05-15 13:49 - CD TEST-方永红

5.15

13日DB未复现

继续跟踪两个版本

#7 - 2023-05-16 14:20 - CD TEST-方永红

5.16

15日DB未复现

继续跟踪一个版本

#8 - 2023-05-17 10:33 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0100.C103(X103)
5.17

0100版本未复现

先关闭

#9 - 2023-05-17 10:34 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

error.txt 34.2 MB 2023-05-08 CD TEST-方永红
